Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 20 May 2021 04:45:10 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made an order last week that was supposed to be delivered on Sunday May 16. Since then I have been receiving automated calls daily saying that there’s a failed delivery attempt and to confirm my order. I called the call center 3 times and I was promised to follow up, but still receiving only the automated calls from Landmark. Kindly update me on my order because I am traveling on Sunday and need to get it delivered. 
Order # 6306518495 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2600055